ros-iron-rosidl-generator-cpp (4.0.1-1jammy) jammy; urgency=high

  * Fix deprecation warnings for message constants (#751 <https://github.com/ros2/rosidl/issues/751>)
  * Contributors: Emerson Knapp

 -- Aditya Pande <aditya.pande@openrobotics.org>  Thu, 13 Jul 2023 16:00:00 -0000

ros-iron-rosidl-generator-cpp (4.0.0-1jammy) jammy; urgency=high

  * Type Description Codegen and Typesupport  (rep2011) (#727 <https://github.com/ros2/rosidl/issues/727>)
  * Expose type hash on typesupports (rep2011) (#729 <https://github.com/ros2/rosidl/issues/729>)
  * Type hash in interface codegen (rep2011) (#722 <https://github.com/ros2/rosidl/issues/722>)
  * Contributors: Emerson Knapp

 -- Aditya Pande <aditya.pande@openrobotics.org>  Mon, 10 Apr 2023 16:00:00 -0000

ros-iron-rosidl-generator-cpp (3.4.0-1jammy) jammy; urgency=high

  * [service introspection] generate service_event messages (#700 <https://github.com/ros2/rosidl/issues/700>)
  * [rolling] Update maintainers - 2022-11-07 (#717 <https://github.com/ros2/rosidl/issues/717>)
  * Contributors: Audrow Nash, Brian

 -- Aditya Pande <aditya.pande@openrobotics.org>  Sun, 12 Feb 2023 16:00:00 -0000

ros-iron-rosidl-generator-cpp (3.3.1-1jammy) jammy; urgency=high



 -- Aditya Pande <aditya.pande@openrobotics.org>  Tue, 01 Nov 2022 16:00:00 -0000

ros-iron-rosidl-generator-cpp (3.3.0-1jammy) jammy; urgency=high

  * Move rosidl_generator_c/cpp tests to a separate package (#701 <https://github.com/ros2/rosidl/issues/701>)
  * Move rosidl_cmake Python module to a new package rosidl_pycommon (#696 <https://github.com/ros2/rosidl/issues/696>)
    Deprecate the Python module in rosidl_cmake and move the implementation to the new package rosidl_pycommon.
  * Add namespaced ALIAS target to easily consume generated libraries via add_subdirectory (#605 <https://github.com/ros2/rosidl/issues/605>)
  * Contributors: Jacob Perron, Silvio Traversaro

 -- Aditya Pande <aditya.pande@openrobotics.org>  Wed, 07 Sep 2022 16:00:00 -0000

ros-iron-rosidl-generator-cpp (3.2.1-1jammy) jammy; urgency=high



 -- Aditya Pande <aditya.pande@openrobotics.org>  Mon, 20 Jun 2022 16:00:00 -0000

ros-iron-rosidl-generator-cpp (3.2.0-1jammy) jammy; urgency=high



 -- Aditya Pande <aditya.pande@openrobotics.org>  Tue, 03 May 2022 16:00:00 -0000

ros-iron-rosidl-generator-cpp (3.1.3-1jammy) jammy; urgency=high



 -- Aditya Pande <aditya.pande@openrobotics.org>  Thu, 07 Apr 2022 16:00:00 -0000

ros-iron-rosidl-generator-cpp (3.1.2-1jammy) jammy; urgency=high



 -- Aditya Pande <aditya.pande@openrobotics.org>  Mon, 04 Apr 2022 16:00:00 -0000

ros-iron-rosidl-generator-cpp (3.1.1-1jammy) jammy; urgency=high

  * Install generated headers to include/${PROJECT_NAME} (#670 <https://github.com/ros2/rosidl/issues/670>)
  * Misc cleanup in the rosidl generator extensions (#662 <https://github.com/ros2/rosidl/issues/662>)
  * Contributors: Shane Loretz

 -- Aditya Pande <aditya.pande@openrobotics.org>  Sun, 27 Mar 2022 16:00:00 -0000

ros-iron-rosidl-generator-cpp (3.1.0-1jammy) jammy; urgency=high

  * Add missing build_export_depend dependency (#665 <https://github.com/ros2/rosidl/issues/665>)
  * Fix bug where rosidl_runtime_cpp wasn't depended upon (#660 <https://github.com/ros2/rosidl/issues/660>)
  * Contributors: Jorge Perez, Shane Loretz

 -- Aditya Pande <aditya.pande@openrobotics.org>  Mon, 28 Feb 2022 16:00:00 -0000

ros-iron-rosidl-generator-cpp (3.0.1-1jammy) jammy; urgency=high

  * Fix include order for cpplint (#644 <https://github.com/ros2/rosidl/issues/644>)
  * Set CXX standard to 17 (#635 <https://github.com/ros2/rosidl/issues/635>)
  * Contributors: Jacob Perron, Øystein Sture

 -- Aditya Pande <aditya.pande@openrobotics.org>  Wed, 12 Jan 2022 16:00:00 -0000

ros-iron-rosidl-generator-cpp (3.0.0-1jammy) jammy; urgency=high

  * Update package maintainers (#624 <https://github.com/ros2/rosidl/issues/624>)
  * Make rosidl packages use FindPython3 instead of FindPythonInterp (#612 <https://github.com/ros2/rosidl/issues/612>)
  * Contributors: Michel Hidalgo, Shane Loretz

 -- Aditya Pande <aditya.pande@openrobotics.org>  Thu, 04 Nov 2021 16:00:00 -0000

ros-iron-rosidl-generator-cpp (2.5.0-1jammy) jammy; urgency=high

  * Support flow style YAML printing (#613 <https://github.com/ros2/rosidl/issues/613>)
  * Revert "Bundle and ensure the exportation of rosidl generated targets" (#611 <https://github.com/ros2/rosidl/issues/611>)
  * Relocate to_yaml() under message namespace (#609 <https://github.com/ros2/rosidl/issues/609>)
  * Contributors: Michel Hidalgo

 -- Aditya Pande <aditya.pande@openrobotics.org>  Mon, 09 Aug 2021 16:00:00 -0000

ros-iron-rosidl-generator-cpp (2.4.0-1jammy) jammy; urgency=high

  * Bundle and ensure the exportation of rosidl generated targets (#601 <https://github.com/ros2/rosidl/issues/601>)
  * Contributors: Michel Hidalgo

 -- Aditya Pande <aditya.pande@openrobotics.org>  Sun, 11 Jul 2021 16:00:00 -0000

ros-iron-rosidl-generator-cpp (2.3.0-1jammy) jammy; urgency=high



 -- Aditya Pande <aditya.pande@openrobotics.org>  Thu, 10 Jun 2021 16:00:00 -0000

ros-iron-rosidl-generator-cpp (2.2.1-1jammy) jammy; urgency=high



 -- Aditya Pande <aditya.pande@openrobotics.org>  Mon, 05 Apr 2021 16:00:00 -0000

ros-iron-rosidl-generator-cpp (2.2.0-1jammy) jammy; urgency=high

  * Expose C++ code generation via rosidl generate CLI (#570 <https://github.com/ros2/rosidl/issues/570>)
  * Contributors: Michel Hidalgo

 -- Aditya Pande <aditya.pande@openrobotics.org>  Wed, 17 Mar 2021 16:00:00 -0000

ros-iron-rosidl-generator-cpp (2.1.0-1jammy) jammy; urgency=high

  * Switch to std::allocator_traits. (#564 <https://github.com/ros2/rosidl/issues/564>)
  * Contributors: Chris Lalancette

 -- Aditya Pande <aditya.pande@openrobotics.org>  Mon, 08 Mar 2021 16:00:00 -0000

ros-iron-rosidl-generator-cpp (2.0.3-1jammy) jammy; urgency=high



 -- Aditya Pande <aditya.pande@openrobotics.org>  Sun, 24 Jan 2021 16:00:00 -0000

ros-iron-rosidl-generator-cpp (2.0.2-1jammy) jammy; urgency=high

  * Remove unnecessary assert on pointer created with new (#555 <https://github.com/ros2/rosidl/issues/555>)
  * Use ASSERT_TRUE to check for nullptr. (#543 <https://github.com/ros2/rosidl/issues/543>)
  * Update the maintainers of this repository. (#536 <https://github.com/ros2/rosidl/issues/536>)
  * Contributors: Chris Lalancette, Stephen Brawner

 -- Aditya Pande <aditya.pande@openrobotics.org>  Mon, 07 Dec 2020 16:00:00 -0000

ros-iron-rosidl-generator-cpp (2.0.1-1jammy) jammy; urgency=high



 -- Aditya Pande <aditya.pande@openrobotics.org>  Sun, 27 Sep 2020 16:00:00 -0000

ros-iron-rosidl-generator-cpp (2.0.0-1jammy) jammy; urgency=high

  * Add to_yaml() function for C++ messages (#527 <https://github.com/ros2/rosidl/issues/527>)
  * Contributors: Devin Bonnie, Dirk Thomas

 -- Aditya Pande <aditya.pande@openrobotics.org>  Wed, 23 Sep 2020 16:00:00 -0000

ros-iron-rosidl-generator-cpp (1.1.0-1jammy) jammy; urgency=high

  * Add function for getting a types fully qualified name (#514 <https://github.com/ros2/rosidl/issues/514>)
  * Declaring is_message in namespace rosidl_generator_traits (#512 <https://github.com/ros2/rosidl/issues/512>)
  * Contributors: Jacob Perron, Sebastian Höffner

 -- Aditya Pande <aditya.pande@openrobotics.org>  Sun, 16 Aug 2020 16:00:00 -0000

ros-iron-rosidl-generator-cpp (1.0.1-1jammy) jammy; urgency=high



 -- Aditya Pande <aditya.pande@openrobotics.org>  Tue, 02 Jun 2020 16:00:00 -0000

ros-iron-rosidl-generator-cpp (1.0.0-1jammy) jammy; urgency=high



 -- Aditya Pande <aditya.pande@openrobotics.org>  Thu, 21 May 2020 16:00:00 -0000

ros-iron-rosidl-generator-cpp (0.9.2-1jammy) jammy; urgency=high



 -- Aditya Pande <aditya.pande@openrobotics.org>  Mon, 18 May 2020 16:00:00 -0000

ros-iron-rosidl-generator-cpp (0.9.1-1jammy) jammy; urgency=high

  * move test which only uses rosidl_runtime_cpp into that package (#481 <https://github.com/ros2/rosidl/issues/481>)
  * Contributors: Dirk Thomas

 -- Aditya Pande <aditya.pande@openrobotics.org>  Thu, 07 May 2020 16:00:00 -0000

ros-iron-rosidl-generator-cpp (0.9.0-1jammy) jammy; urgency=high

  * Export targets in addition to include directories / libraries (#473 <https://github.com/ros2/rosidl/issues/473>)
  * Move non-entry point headers into detail subdirectory (#461 <https://github.com/ros2/rosidl/issues/461>)
  * Only export ament_cmake_core instead of ament_cmake (#459 <https://github.com/ros2/rosidl/issues/459>)
  * Rename rosidl_namespace_cpp namespace (#456 <https://github.com/ros2/rosidl/issues/456>)
  * Split rosidl_generator_c and rosidl_generator_cpp in two: rosidl_generator_x and rosidl_runtime_x (#442 <https://github.com/ros2/rosidl/issues/442>)
  * Add a utility for rigorously initializing a message instance (#448 <https://github.com/ros2/rosidl/issues/448>)
  * Avoid setter for empty struct dummy member (#455 <https://github.com/ros2/rosidl/issues/455>)
  * Code style only: wrap after open parenthesis if not in one line (#435 <https://github.com/ros2/rosidl/issues/435>)
  * Use f-string (#436 <https://github.com/ros2/rosidl/issues/436>)
  * Contributors: Alejandro Hernández Cordero, Dirk Thomas, Grey

 -- Aditya Pande <aditya.pande@openrobotics.org>  Thu, 23 Apr 2020 16:00:00 -0000

ros-iron-rosidl-generator-cpp (0.8.2-1jammy) jammy; urgency=high



 -- Aditya Pande <aditya.pande@openrobotics.org>  Thu, 16 Jan 2020 16:00:00 -0000

ros-iron-rosidl-generator-cpp (0.8.1-1jammy) jammy; urgency=high

  * Add is_message trait in support of tf2 conversions (#412 <https://github.com/ros2/rosidl/issues/412>)
  * Contributors: Michael Carroll

 -- Aditya Pande <aditya.pande@openrobotics.org>  Tue, 22 Oct 2019 16:00:00 -0000

ros-iron-rosidl-generator-cpp (0.8.0-1jammy) jammy; urgency=high

  * Update guard against common Windows preprocessor definitions (#401 <https://github.com/ros2/rosidl/issues/401>)
  * Update tests for new message types in test_interface_files (#397 <https://github.com/ros2/rosidl/issues/397>)
  * use latin-1 encoding when reading/writing .idl files, prepend BOM to generated C/C++ files when necessary (#391 <https://github.com/ros2/rosidl/issues/391>)
  * Add emplace_back, move_assignment to BoundedVector (#385 <https://github.com/ros2/rosidl/issues/385>)
  * fix cpp generator and introspection ts for long double (#383 <https://github.com/ros2/rosidl/issues/383>)
  * Contributors: Dirk Thomas, Jacob Perron, Siddharth Kucheria, cho3

 -- Aditya Pande <aditya.pande@openrobotics.org>  Mon, 23 Sep 2019 16:00:00 -0000


